Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text
Interface IDocumentExtension2

All Known Implementing Classes:
  AbstractDocument

public interface IDocumentExtension2

Extension interface for `IDocument`.

It adds configuration methods to post notification replaces and document listener notification.

Since:
  2.1

Method Summary
`void` | `acceptPostNotificationReplaces()` Tells the receiver to accept calls to `registerPostNotificationReplace` until `ignorePostNotificationReplaces` is called.
`void` | `ignorePostNotificationReplaces()` Tells the receiver to ignore calls to `registerPostNotificationReplace` until `acceptPostNotificationReplaces` is called.
`void` | `resumeListenerNotification()` Resumes the notification of document listeners which must previously have been stopped by a call to `stopListenerNotification`.
`void` | `stopListenerNotification()` Can be called prior to a `replace` operation.

Method Detail

### ignorePostNotificationReplaces

    public void ignorePostNotificationReplaces()

  Tells the receiver to ignore calls to `registerPostNotificationReplace` until `acceptPostNotificationReplaces` is called.

### acceptPostNotificationReplaces

    public void acceptPostNotificationReplaces()

  Tells the receiver to accept calls to `registerPostNotificationReplace` until `ignorePostNotificationReplaces` is called.

### stopListenerNotification

    public void stopListenerNotification()

  Can be called prior to a `replace` operation. After the `replace` `resumeListenerNotification` must be called. The affect of these calls is that no document listener is notified until `resumeListenerNotification` is called. This allows clients to update structure before any listener is informed about the change.

  Listener notification can only be stopped for a single `replace` operation. Otherwise, document change notifications will be lost.

### resumeListenerNotification

    public void resumeListenerNotification()

  Resumes the notification of document listeners which must previously have been stopped by a call to `stopListenerNotification`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.